
using Microsoft.VisualStudio.Modeling;
using DslFactory.Utilities.DteCodeModel;
namespace Dslfactory.wcfLanguage
{
 public partial class ServicesDefinition
 {
  #region Initialization of the Namespace ServicesDefinition
  /// <summary>
  /// Set default namespace for new Propagation
  /// </summary>
  /// <param name="sourceElement"></param>
  /// <param name="elementGroup"></param>
  protected override void MergeRelate(ModelElement sourceElement, ElementGroup elementGroup)
  {
   if (sourceElement is TypeOfInterest)
   {
    TypeOfInterest concept = sourceElement as TypeOfInterest;
    if ((concept.Name == string.Empty) && (concept.Namespace == string.Empty))
     concept.Namespace = StoreCorrespondance.GetDefaultNamespace(Store);

   }
   base.MergeRelate(sourceElement, elementGroup);
  }
  #endregion
 }
}
