﻿<?xml version="1.0" encoding="utf-8"?>
<Dsl dslVersion="1.0.0.0" Id="2200b729-0346-408d-ac2c-73dc275715d4" Description="Description for Dslfactory.wcfLanguage.wcfLanguage" Name="wcfLanguage" DisplayName="wcfLanguage" Namespace="Dslfactory.wcfLanguage" ProductName="wcfLanguage" CompanyName="ANPROS" PackageGuid="1270d298-ea48-458a-8c4a-4d22d4f56391" PackageNamespace="Dslfactory.wcfLanguage" xmlns="http://schemas.microsoft.com/VisualStudio/2005/DslTools/DslDefinitionModel">
  <Classes>
    <DomainClass Id="f463c6e4-c0e2-471f-9202-9d72e4a1e95d" Description="The root in which all other elements are embedded. Appears as a diagram." Name="ServicesDefinition" DisplayName="Services Definition" Namespace="Dslfactory.wcfLanguage" GeneratesDoubleDerived="true">
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Service" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>ServicesDefinitionHasServices.Services</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Interface" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>ServicesDefinitionHasInterfaces.Interfaces</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="DataContract" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>ServicesDefinitionHasDataContracts.DataContracts</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Hosting" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>ServicesDefinitionHasHosting.Hosting</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="MessageContract" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>ServicesDefinitionHasMessageContracts.MessageContracts</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="DataClass" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>ServicesDefinitionHasDataClasses.DataClasses</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="ca4cbdaa-6cab-4618-bff4-0601600bb50c" Description="interface defining a service contract in a Windows Communication Foundation (WCF) application. " Name="ServiceContract" DisplayName="Service Contract" Namespace="Dslfactory.wcfLanguage">
      <BaseClass>
        <DomainClassMoniker Name="Interface" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="d22fb6d6-2b28-4e98-91c2-d46a25b60fbe" Description="name used to locate the service in an application configuration file. . The default is the name of the service implementation class." Name="ProtectionLevel" DisplayName="Protection Level" Category="Service contract">
          <Type>
            <ExternalTypeMoniker Name="/System.Net.Security/ProtectionLevel" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="33c7faf0-1be2-4a21-b4f4-536ebe40d79a" Description="Tells whether sessions are allowed, not allowed or required." Name="SessionMode" DisplayName="Session Mode" Category="Service contract">
          <Type>
            <ExternalTypeMoniker Name="/System.ServiceModel/SessionMode" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="c0859804-9ad7-49f5-9756-81bfa101cf5d" Description="Name used to locate the service in an application configuration file. The name used to locate the service element in an application configuration file. The default is the name of the service implementation class" Name="ConfigurationName" DisplayName="Configuration Name" Category="Service contract">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="f883a4ea-380a-450e-acdb-6d67089a9a43" Description="namespace of the &lt;portType&gt; element in Web Services Description Language (WSDL). The default value is the name of the class or interface" Name="ServiceContractNamespace" DisplayName="Service Contract Namespace" Category="Service contract">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="5e5b9f1c-45e1-4a53-a74f-509a140572c8" Description="name for the &lt;portType&gt; element in Web Services Description Language (WSDL). The default value is the name of the class or interface" Name="ServiceContractName" DisplayName="Service Contract Name" Category="Service contract">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="f19742f2-55bf-4b5a-ba51-8690b8e573d3" Description="Method defining an operation that is part of a service contract in a Windows Communication Foundation (WCF) application" Name="OperationContract" DisplayName="Operation Contract" Namespace="Dslfactory.wcfLanguage" HasCustomConstructor="true">
      <BaseClass>
        <DomainClassMoniker Name="Method" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="7079df3a-2d35-4281-9d54-199109fbda20" Description="WS-Addressing action of the request message (used in generating the WS-Addressing Action header)" Name="Action" DisplayName="Action" Category="Operation contract">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="633b600b-ce01-41e1-a68d-e290b7df04cc" Description="Indicates that an operation is implemented asynchronously using a Begin&lt;methodName&gt; and End&lt;methodName&gt; method pair in a service contract.  true if the Begin&lt;methodName&gt;method is matched by an End&lt;methodName&gt; method and can be treated by the infrastructure as an operation that is implemented as an asynchronous method pair on the service interface; otherwise, false. The default is false." Name="AsyncPattern" DisplayName="Async Pattern" Category="Operation contract">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="3a94a68e-abe2-4c0b-a513-0ba6b7053977" Description="Indicates whether the method implements an operation that can initiate a session on the server (if such a session exists). true if the operation is permitted to initiate a session on the server, otherwise, false. The default is true" Name="IsInitiating" DisplayName="Is Initiating" DefaultValue="true" Category="Operation contract">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="c02ecd01-523b-4d4f-a628-936623dd5327" Description=" indicates whether an operation returns a reply message. true if this method receives a request message and returns no reply message; otherwise, false. The default is false." Name="IsOneWay" DisplayName="Is One Way" Category="Operation contract">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="375edded-cfc6-4208-8472-bf2b420253bb" Description=" indicates whether the service operation causes the server to close the session after the reply message, if any, is sent. true if the operation causes the server to close the session, otherwise, false. The default is false." Name="IsTerminating" DisplayName="Is Terminating" Category="Operation contract">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="dcb1f7b3-0940-4188-99ee-6323955c0ed5" Description=" value that specifies whether the messages of an operation must be encrypted, signed, or both. Default is None" Name="ProtectionLevel" DisplayName="Protection Level" Category="Operation contract">
          <Type>
            <ExternalTypeMoniker Name="/System.Net.Security/ProtectionLevel" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="9e9e38b9-683a-4c90-9d7f-4610e0d1d016" Description="the value of the SOAP action for the reply message of the operation." Name="ReplyAction" DisplayName="Reply Action" Category="Operation contract">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="929306ae-1096-411a-9d8c-ecba6612b245" Description="name of the operation." Name="OperationContractName" DisplayName="Operation Contract Name" Category="Operation contract">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="021ad87b-11e4-4c8c-9d18-11d28d9f097e" Description="service contract implementation." Name="Service" DisplayName="Service" Namespace="Dslfactory.wcfLanguage">
      <BaseClass>
        <DomainClassMoniker Name="TypeOfInterest" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="b3d3dc97-595b-4e64-bc3a-f9dd6b62e8e8" Description="Gets or sets the AddressFilterMode that is used by the dispatcher to route incoming messages to the correct endpoint" Name="AddressFilterMode" DisplayName="Address Filter Mode" DefaultValue="Exact" Category="Service">
          <Type>
            <ExternalTypeMoniker Name="/System.ServiceModel/AddressFilterMode" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="e5f7469a-4cd9-4266-ae85-18036faf1942" Description="Specifies whether to automatically close a session when a client closes an output session." Name="AutomaticSessionShutdown" DisplayName="Automatic Session Shutdown" DefaultValue="true" Category="Service">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="acf57ed6-f9c2-4f87-bfa3-a637f0183768" Description="Gets or sets whether a service supports one thread, multiple threads, or reentrant calls. " Name="ConcurrencyMode" DisplayName="Concurrency Mode" DefaultValue="Single" Category="Service">
          <Type>
            <ExternalTypeMoniker Name="/System.ServiceModel/ConcurrencyMode" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="adc9c109-2cf1-4f2d-a466-75613abffa03" Description="Gets or sets the value used to locate the service element in an application configuration file." Name="ConfigurationName" DisplayName="Configuration Name" Category="Service">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="781944ff-a11f-4102-a010-f4a84d15bcf6" Description="Gets or sets a value that specifies whether to send unknown serialization data onto the wire." Name="IgnoreExtensionDataObject" DisplayName="Ignore Extension Data Object" DefaultValue="false" Category="Service">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="eb99fa68-e7c2-4968-80d5-3925a67dcf85" Description="Gets or sets a value that specifies that general unhandled execution exceptions are to be converted into a System.ServiceModel.FaultException of type System.ServiceModel.ExceptionDetail and sent as a fault message. Set this to true only during development to troubleshoot a service." Name="IncludeExceptionDetailInFaults" DisplayName="Include Exception Detail In Faults" DefaultValue="false" Category="Service">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="b92e861e-c35e-4ecd-bcec-4cef24b3cb23" Description="Gets or sets the value that indicates when new service objects are created. " Name="InstanceContextMode" DisplayName="Instance Context Mode" DefaultValue="PerSession" Category="Service">
          <Type>
            <ExternalTypeMoniker Name="/System.ServiceModel/InstanceContextMode" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="a1a0fb0c-0b62-47ee-bb2b-4a0013c3be6d" Description="Gets or sets the maximum number of items allowed in a serialized object" Name="MaxItemsInObjectGraph" DisplayName="Max Items In Object Graph" DefaultValue="-1" Category="Service">
          <Type>
            <ExternalTypeMoniker Name="/System/Int32" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="ae6ed403-ec9e-4139-884c-ce21b55789c0" Description="Gets or sets a value that specifies whether the service object is recycled when the current transaction completes. " Name="ReleaseServiceInstanceOnTransactionComplete" DisplayName="Release Service Instance On Transaction Complete" DefaultValue="true" Category="Service">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="e28836c9-dff7-4925-93af-f7e8a8fccbf4" Description="Gets or sets a value that specifies whether pending transactions are completed when the current session closes without error" Name="TransactionAutoCompleteOnSessionClose" DisplayName="Transaction Auto Complete On Session Close" DefaultValue="false" Category="Service">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="807f6f00-80f0-4981-b967-9032b4eaf059" Description="Specifies the transaction isolation level for new transactions created inside the service, and incoming transactions flowed from a client. " Name="TransactionIsolationLevel" DisplayName="Transaction Isolation Level" DefaultValue="Unspecified" Category="Service">
          <Type>
            <ExternalTypeMoniker Name="/System.Transactions/IsolationLevel" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="f2b97d25-d7f3-4df6-b54a-d1fe204df36d" Description="period within which a transaction must complete." Name="TransactionTimeout" DisplayName="Transaction Timeout" Category="Service">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="20a2697e-5cf0-453e-8415-ddb54228e005" Description="Gets or sets a value that specifies whether to use the current synchronization context to choose the thread of execution" Name="UseSynchronizationContext" DisplayName="Use Synchronization Context" DefaultValue="true" Category="Service">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="545c524d-b22b-4148-979c-bcf255f05766" Description="Gets or sets a value that specifies whether the system or the application enforces SOAP MustUnderstand header processing." Name="ValidateMustUnderstand" DisplayName="Validate Must Understand" DefaultValue="true" Category="Service">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="c1815624-3495-46c2-a56e-37a4d93bf66a" Description="Gets or sets the value of the name attribute in the service element in Web Services Description Language (WSDL), that is the value of the name attribute in the &lt;wsdl:service&gt; element when exported. " Name="WSDLName" DisplayName="WSDLName" Category="Service">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="099ad782-379e-4198-b04a-66e44ab7d2a8" Description="Gets or sets the value of the target namespace for the service in Web Services Description Language (WSDL), that is the value of the targetNamespace attribute for the &lt;wsdl:definitions&gt; element that contains the &lt;wsdl:service&gt; element. " Name="WSDLNamespace" DisplayName="WSDLNamespace" Category="Service">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="c2029d97-8dbf-44f0-8d2b-6aec4615aae0" Description=".NET Interface" Name="Interface" DisplayName="Interface" Namespace="Dslfactory.wcfLanguage">
      <BaseClass>
        <DomainClassMoniker Name="TypeOfInterest" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="1b8b8496-d705-44af-8ea4-8167f8e9077b" Description="Indicates that the interface or class defines a WCF service contract in a application." Name="IsServiceContract" DisplayName="Is Service Contract" Category="Service contract">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="9fbe580a-df8f-468e-aa6c-cac9590003f0" Description="Label for the kind of interface" Name="KindLabel" DisplayName="Kind Label" Kind="Calculated" Category="Interface" IsBrowsable="false">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Method" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>InterfaceHasMethods.Methods</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="baf93970-f803-445c-bd48-a8bcf4a83efa" Description="Method of the interface" Name="Method" DisplayName="Method" Namespace="Dslfactory.wcfLanguage">
      <Properties>
        <DomainProperty Id="b2af4c48-7ffe-4c2d-bb03-d2ef9594156c" Description="Name of the method" Name="Name" DisplayName="Name" Category="Method" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="5ad950d0-6b47-40f6-875e-6b0aa24846ed" Description="Signature of the method" Name="Signature" DisplayName="Signature" DefaultValue="void Method()" Category="Method" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="54d37c09-bd4c-482f-ae85-aad66c398993" Description="Indicates that this method defines an operation that is part of a service contract in a application." Name="IsOperationContract" DisplayName="Is Operation Contract" Category="WCF">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="4abe0591-e9fa-4ea4-9ddb-d6e7c337878d" Description="Label with which the method is displayed" Name="Label" DisplayName="Label" DefaultValue="void Method()" Category="Method">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="7c3c1cff-159d-432b-b2e6-5312d634f661" Description="Prototype of the method" Name="Prototype" DisplayName="Prototype" DefaultValue="void Method()">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="05e1c2b8-5b11-4bb9-93ea-9bb8bb01ab13" Description="This type implements a data contract and is serializable by a serializer, such as the DataContractSerializer. " Name="DataContract" DisplayName="Data Contract" Namespace="Dslfactory.wcfLanguage">
      <Attributes>
        <ClrAttribute Name="System.ComponentModel.TypeDescriptionProvider">
          <Parameters>
            <AttributeParameter Value="typeof(DataContractDescriptionProvider)" />
          </Parameters>
        </ClrAttribute>
      </Attributes>
      <BaseClass>
        <DomainClassMoniker Name="DataClass" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="36de98f9-147f-4c6d-bfc0-8359da77ad8d" Description="Is the class a DataContract or not ?" Name="IsDataContract" DisplayName="Is Data Contract" Category="Data Contract">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="7092db12-b1a7-45a5-9238-a3faa5e933f3" Description="name of the data contract for the type" Name="DataContractName" DisplayName="Name as a DataContract" Category="Data Contract">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="16fd8cdc-b1c0-4747-8139-f547b1f16b39" Description="namespace for the data contract for the type." Name="DataContractNamespace" DisplayName="Namespace as a DataContract" Category="Data Contract">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="9c2c62cc-3e66-48b8-96f0-dd2777f2ba7b" Description="Class or Data Contract" Name="Label" DisplayName="Label" Kind="Calculated" Category="Data Contract" IsBrowsable="false">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="DataMember" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>DataContractHasDataMembers.DataMembers</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="143bb9a5-d230-4bc1-b733-9d2595faa849" Description="Abstract base class for types of interest in the model" Name="TypeOfInterest" DisplayName="Type Of Interest" InheritanceModifier="Abstract" Namespace="Dslfactory.wcfLanguage">
      <Properties>
        <DomainProperty Id="b2133969-71fe-4854-a916-69b1aa69e72a" Description="Name of the type" Name="Name" DisplayName="Name" Category="Code" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="bb01ceb6-c4d0-4eac-8716-42ac4ace69f7" Description="Namespace of the type (in the code)" Name="Namespace" DisplayName="Namespace (.NET)" Category="Code">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="737b8584-5ff3-4b73-9567-19ce3665dda7" Description="Fully qualifiied name for the type" Name="FullName" DisplayName="Full Name" Kind="CustomStorage" Category="Code">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="a9102049-895d-4509-98c6-d2789a0ee882" Description="Is the type generated ?" Name="GenerationKind" DisplayName="Generation Kind" Kind="Calculated" Category="Code">
          <Type>
            <DomainEnumerationMoniker Name="GenerationKind" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="64c7bd97-68b3-441d-8ed8-a64c6bf5423f" Description="This member is part of a data contract and is serializable by the DataContractSerializer" Name="DataMember" DisplayName="Data Member" Namespace="Dslfactory.wcfLanguage">
      <Attributes>
        <ClrAttribute Name="System.ComponentModel.TypeDescriptionProvider">
          <Parameters>
            <AttributeParameter Value="typeof(DataMemberDescriptionProvider)" />
          </Parameters>
        </ClrAttribute>
      </Attributes>
      <BaseClass>
        <DomainClassMoniker Name="FieldOrProperty" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="4730198a-b3ed-41af-896d-bb796478706c" Description="Is the member a DataMember of a DataContract ?" Name="IsDataMember" DisplayName="Is Data Member" DefaultValue="false" Category="Data Member">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="462b88a7-9227-4e57-bb38-d116140c7301" Description="data member name. " Name="DataMemberName" DisplayName="Data Member Name" Category="Data Member">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="dc78d209-0e46-498e-b0e4-334acd88326d" Description="value that instructs the serialization engine that the member must be present when reading or deserializing." Name="IsRequired" DisplayName="Is Required" DefaultValue="true" Category="Data Member">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="dc16841b-824d-405e-be4c-1dc878a6b68d" Description="Gets or sets the order of serialization and deserialization of a member. " Name="Order" DisplayName="Order" DefaultValue="-1" Category="Data Member">
          <Type>
            <ExternalTypeMoniker Name="/System/Int32" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="768d2a27-efad-4ebc-8a16-98a8b643984d" Description="Gets or sets a value that specifies whether to serialize the default value for a field or property being serialized. " Name="EmitDefaultValue" DisplayName="Emit Default Value" DefaultValue="true" Category="Data Member">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="b210e932-b253-447f-8b35-81b6326748cb" Description="Class hosting one or several services." Name="Hosting" DisplayName="Hosting" Namespace="Dslfactory.wcfLanguage">
      <BaseClass>
        <DomainClassMoniker Name="TypeOfInterest" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="8dd359cf-48f1-4301-83d2-b989730ecc26" Description="Kind of hosting (Console, IIS, WAS, NT Service)" Name="Kind" DisplayName="Kind" Category="Service Hosting">
          <Type>
            <DomainEnumerationMoniker Name="HostingKind" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="19a14704-bfc9-455e-af75-5fd4eda97d79" Description="Defines a strongly-typed class that corresponds to a SOAP message. " Name="MessageContract" DisplayName="Message Contract" Namespace="Dslfactory.wcfLanguage">
      <BaseClass>
        <DomainClassMoniker Name="DataClass" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="394446f2-1005-42bf-8357-c15c7b65645c" Description="Gets or sets a value that specifies whether the message body has a wrapper element. true if the message body has a wrapper element; otherwise, false. The default is true" Name="IsWrapped" DisplayName="Is Wrapped" DefaultValue="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="e8eb8d75-cb55-4610-a3da-397314ffcc89" Description="Gets or sets a value that specified whether the message must be encrypted, signed, or both. " Name="ProtectionLevel" DisplayName="Protection Level" DefaultValue="None">
          <Type>
            <ExternalTypeMoniker Name="/System.Net.Security/ProtectionLevel" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="3ba37958-0c13-432f-b43d-886158b850c5" Description="Gets or sets the name of the wrapper element of the message body" Name="WrapperName" DisplayName="Wrapper Name">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="81c06686-e9cd-4dcb-8d3e-7e0c0a4abe63" Description="Gets or sets the namespace of the message body wrapper element. " Name="WrapperNamespace" DisplayName="Wrapper Namespace">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="MessageMember" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>MessageContractHasMessageMembers.MessageMembers</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="44ba6859-c221-444a-bd6c-021c39278fb6" Description="Member of a message contract (Field, Property, Message body element, Message header element)" Name="MessageMember" DisplayName="Message Member" Namespace="Dslfactory.wcfLanguage">
      <BaseClass>
        <DomainClassMoniker Name="FieldOrProperty" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="75b81a65-9f67-4476-b07e-9b7110e13896" Description="Description for Dslfactory.wcfLanguage.MessageMember.Protection Level" Name="ProtectionLevel" DisplayName="Protection Level" DefaultValue="None" Category="Message member">
          <Type>
            <ExternalTypeMoniker Name="/System.Net.Security/ProtectionLevel" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="6013b54e-3e33-42c8-a4c6-d2ae65374333" Description="Specifies the name of the element that corresponds to this member" Name="WCFName" DisplayName="WCFName" Category="Message member">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="9fe023ac-99ae-4c58-90e8-1312c96e851c" Description="Specifies the namespace of the element that corresponds to this member. " Name="WCFNamespace" DisplayName="WCFNamespace" Category="Message member">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="e2941f8b-4e69-41ce-9e7e-768dd0fd066f" Description="Gets or sets a value that indicates the position in which the member is serialized into the SOAP body. Use the Order property to specify the location of a data member in the SOAP body element. The value is not required to be consecutive, because it does not represent the position of the member, only the sorting key. The order of the body elements is alphabetical by default. The semantics of this property are the same as the semantics of the Order property. " Name="Order" DisplayName="Order" DefaultValue="-1" Category="Message member">
          <Type>
            <ExternalTypeMoniker Name="/System/Int32" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="8491f554-6b0a-4515-9958-efd7849da35a" Description="Kind of message member" Name="MessageMemberKind" DisplayName="Message Member Kind" Category="Message member">
          <Type>
            <DomainEnumerationMoniker Name="MessageMemberKind" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="caef595e-9b52-4798-bc84-f93f06aead96" Description="Gets or sets a URI that indicates the node at which this header is targeted. Maps to the role header attribute when SOAP 1.2 is used and the actor header attribute when SOAP 1.1 is used" Name="Actor" DisplayName="Actor" Category="Message member">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="08986625-4e15-4990-90c1-a9fc06eea0f2" Description="Specifies whether the node acting in the Actor role must understand this header. This is mapped to the mustUnderstand SOAP header attribute. " Name="MustUnderstand" DisplayName="Must Understand" DefaultValue="false" Category="Message member">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="24a57a7f-cf82-400d-9869-142b5fa1e4e6" Description="Specifies whether this header is to be relayed to downstream nodes. This is mapped to the relay SOAP header attribute" Name="Relay" DisplayName="Relay" DefaultValue="false" Category="Message member">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="2a9133a8-d599-4877-8442-a7b95c026abb" Description="Data member implemented as a field or a property" Name="FieldOrProperty" DisplayName="Field Or Property" InheritanceModifier="Abstract" Namespace="Dslfactory.wcfLanguage">
      <Properties>
        <DomainProperty Id="d9a1f198-8a6c-4e6a-aae6-addc1590980d" Description="Name of the member" Name="Name" DisplayName="Name" Category="Member" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="b79ba7f6-fb5a-45a1-8ef3-26cff6136b5d" Description="Fully qualified type name of the member" Name="MemberFullTypeName" DisplayName="Member Full Type Name" DefaultValue="int" Category="Member">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="e09dd0ec-f5f1-47d9-9b5e-d5d5dc8035f3" Description="Representation of the member (Name : Type)" Name="Label" DisplayName="Label" Kind="CustomStorage" Category="Member">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="22e87600-fdcf-461b-966c-daf2965f1e20" Description="Visibility of the member (public, private, protected, internal, ...)" Name="Visibility" DisplayName="Visibility" DefaultValue="Public" Category="Member">
          <Type>
            <DomainEnumerationMoniker Name="Visibility" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="d3c33588-fea4-4a70-bb72-d8ed23658467" Description="Is the member a field or a property ?" Name="Kind" DisplayName="Kind" DefaultValue="Property" Category="Member">
          <Type>
            <DomainEnumerationMoniker Name="DataMemberKind" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="6398315d-2c07-439d-9462-9bee67928122" Description="How this member is represented on the diagram (as a shape member, as a relatiionship role, or hidden)" Name="Representation" DisplayName="Representation" DefaultValue="" Category="Member">
          <Type>
            <DomainEnumerationMoniker Name="RepresentationKind" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="f7aab8c7-f3e4-478f-b555-166d924d5a59" Description="Abstract base class for concepts holding data" Name="DataClass" DisplayName="Data Class" InheritanceModifier="Abstract" Namespace="Dslfactory.wcfLanguage">
      <BaseClass>
        <DomainClassMoniker Name="TypeOfInterest" />
      </BaseClass>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="FieldOrProperty" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>DataClassHasMembers.Members</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
  </Classes>
  <Relationships>
    <DomainRelationship Id="5072a008-52da-4f1c-aef6-863059c2d6b6" Description="Description for Dslfactory.wcfLanguage.ServiceContractReferencesCallbackContract" Name="ServiceContractReferencesCallbackContract" DisplayName="Service Contract References Callback Contract" Namespace="Dslfactory.wcfLanguage">
      <Source>
        <DomainRole Id="7d09881a-c0dd-4629-b13c-dd2c3a54b6ea" Description=" Type of callback contract when the contract is a duplex contract." Name="SourceServiceContract" DisplayName="Source Service Contract" PropertyName="CallbackContract" Multiplicity="ZeroOne" Category="WCF" PropertyDisplayName="Callback Contract">
          <RolePlayer>
            <DomainClassMoniker Name="ServiceContract" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="99c07988-6c29-4a84-b884-6b45bc8598fe" Description="Service Contract this service contract is a callback contract of." Name="TargetServiceContract" DisplayName="Target Service Contract" PropertyName="CallbackOf" Multiplicity="ZeroOne" Category="WCF" IsPropertyBrowsable="false" PropertyDisplayName="Callback Of">
          <RolePlayer>
            <DomainClassMoniker Name="ServiceContract" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="b9552dc7-5ab9-43db-899b-67b56795ce18" Description="Description for Dslfactory.wcfLanguage.ServicesDefinitionHasServices" Name="ServicesDefinitionHasServices" DisplayName="Services Definition Has Services" Namespace="Dslfactory.wcfLanguage" IsEmbedding="true">
      <Source>
        <DomainRole Id="74b295e6-8fd0-4f8a-bad2-a66c2918846e" Description="Description for Dslfactory.wcfLanguage.ServicesDefinitionHasServices.ServicesDefinition" Name="ServicesDefinition" DisplayName="Services Definition" PropertyName="Services" PropertyDisplayName="Services">
          <RolePlayer>
            <DomainClassMoniker Name="ServicesDefinition" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="f8d24fee-331a-44bc-ac92-5b334ed5bd6e" Description="Description for Dslfactory.wcfLanguage.ServicesDefinitionHasServices.Service" Name="Service" DisplayName="Service" PropertyName="ServicesDefinition" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Services Definition">
          <RolePlayer>
            <DomainClassMoniker Name="Service" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="f6cccb24-42d4-4368-b2f6-c0f89b22026d" Description="Description for Dslfactory.wcfLanguage.ServiceReferencesImplementedServiceContracts" Name="ServiceReferencesImplementedServiceContracts" DisplayName="Service References Implemented Service Contracts" Namespace="Dslfactory.wcfLanguage">
      <Source>
        <DomainRole Id="77d2a2f5-cff3-4687-8a3c-5b2778d7bfbb" Description="Description for Dslfactory.wcfLanguage.ServiceReferencesImplementedServiceContracts.Service" Name="Service" DisplayName="Service" PropertyName="ImplementedServiceContracts" PropertyDisplayName="Implemented Service Contracts">
          <RolePlayer>
            <DomainClassMoniker Name="Service" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="07610136-d718-4a1c-b399-19b9e573d18c" Description="Description for Dslfactory.wcfLanguage.ServiceReferencesImplementedServiceContracts.ServiceContract" Name="ServiceContract" DisplayName="Service Contract" PropertyName="ImplementingServices" PropertyDisplayName="Implementing Services">
          <RolePlayer>
            <DomainClassMoniker Name="ServiceContract" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="e2b1f78e-8310-4df1-83d3-8a82cddc17a6" Description="Description for Dslfactory.wcfLanguage.ServicesDefinitionHasInterfaces" Name="ServicesDefinitionHasInterfaces" DisplayName="Services Definition Has Interfaces" Namespace="Dslfactory.wcfLanguage" IsEmbedding="true">
      <Source>
        <DomainRole Id="07745036-3c82-42a4-8294-847b48a60226" Description="Interfaces contained in the model" Name="ServicesDefinition" DisplayName="Services Definition" PropertyName="Interfaces" PropertyDisplayName="Interfaces">
          <RolePlayer>
            <DomainClassMoniker Name="ServicesDefinition" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="826b7f7e-5cd8-4bb4-86ee-967638d1f474" Description="Service definition the interface belongs to" Name="Interface" DisplayName="Interface" PropertyName="ServicesDefinition" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Services Definition">
          <RolePlayer>
            <DomainClassMoniker Name="Interface" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="88905bce-1ec0-4c3a-88f5-99285583f92e" Description="An interface owns methods." Name="InterfaceHasMethods" DisplayName="Interface Has Methods" Namespace="Dslfactory.wcfLanguage" IsEmbedding="true">
      <Source>
        <DomainRole Id="e14cff9c-2383-45f9-9292-f145d78c3dbe" Description="Methods of the interface" Name="Interface" DisplayName="Interface" PropertyName="Methods" PropertyDisplayName="Methods">
          <RolePlayer>
            <DomainClassMoniker Name="Interface" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="709b7920-fe0f-4803-aaf5-d8f78bbc4120" Description="Interface this method belongs to" Name="Method" DisplayName="Method" PropertyName="Interface" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Interface">
          <RolePlayer>
            <DomainClassMoniker Name="Method" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="8566f678-428b-4d5c-aa8b-f06b476de198" Description="Description for Dslfactory.wcfLanguage.ServicesDefinitionHasDataContracts" Name="ServicesDefinitionHasDataContracts" DisplayName="Services Definition Has Data Contracts" Namespace="Dslfactory.wcfLanguage" IsEmbedding="true">
      <BaseRelationship>
        <DomainRelationshipMoniker Name="ServicesDefinitionHasDataClasses" />
      </BaseRelationship>
      <Source>
        <DomainRole Id="0ad0e963-357d-4a1f-83d2-654d28aa14f6" Description="Description for Dslfactory.wcfLanguage.ServicesDefinitionHasDataContracts.ServicesDefinition" Name="ServicesDefinition" DisplayName="Services Definition" PropertyName="DataContracts" PropertyDisplayName="Data Contracts">
          <RolePlayer>
            <DomainClassMoniker Name="ServicesDefinition" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="8552b0ce-a141-4cd3-a119-864c19b212f2" Description="Description for Dslfactory.wcfLanguage.ServicesDefinitionHasDataContracts.DataContract" Name="DataContract" DisplayName="Data Contract" PropertyName="ServicesDefinition" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Services Definition">
          <RolePlayer>
            <DomainClassMoniker Name="DataContract" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="6baf7b87-8379-4e4c-a9f1-7eabec9d5d69" Description="Description for Dslfactory.wcfLanguage.DataContractHasDataMembers" Name="DataContractHasDataMembers" DisplayName="Data Contract Has Data Members" Namespace="Dslfactory.wcfLanguage" IsEmbedding="true">
      <BaseRelationship>
        <DomainRelationshipMoniker Name="DataClassHasMembers" />
      </BaseRelationship>
      <Source>
        <DomainRole Id="19aec972-358f-4c14-805d-a0be5a159166" Description="Description for Dslfactory.wcfLanguage.DataContractHasDataMembers.DataContract" Name="DataContract" DisplayName="Data Contract" PropertyName="DataMembers" PropertyDisplayName="Data Members">
          <RolePlayer>
            <DomainClassMoniker Name="DataContract" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="424088da-f951-4654-b5a6-0d5b2b42f25a" Description="Description for Dslfactory.wcfLanguage.DataContractHasDataMembers.DataMember" Name="DataMember" DisplayName="Data Member" PropertyName="DataContract" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Data Contract">
          <RolePlayer>
            <DomainClassMoniker Name="DataMember" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="6e066a6c-7f69-4db9-a131-621eddfd4110" Description="Description for Dslfactory.wcfLanguage.ServicesDefinitionHasHosting" Name="ServicesDefinitionHasHosting" DisplayName="Services Definition Has Hosting" Namespace="Dslfactory.wcfLanguage" IsEmbedding="true">
      <Source>
        <DomainRole Id="8c35134a-78d4-4379-87f9-f296f612feb1" Description="Description for Dslfactory.wcfLanguage.ServicesDefinitionHasHosting.ServicesDefinition" Name="ServicesDefinition" DisplayName="Services Definition" PropertyName="Hosting" PropertyDisplayName="Hosting">
          <RolePlayer>
            <DomainClassMoniker Name="ServicesDefinition" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="eb050844-b6e0-44c7-957a-3f59e79b9e8b" Description="Description for Dslfactory.wcfLanguage.ServicesDefinitionHasHosting.Hosting" Name="Hosting" DisplayName="Hosting" PropertyName="ServicesDefinition" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Services Definition">
          <RolePlayer>
            <DomainClassMoniker Name="Hosting" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="21f646b1-53f1-4b01-bbab-fdf3b4238d69" Description="Description for Dslfactory.wcfLanguage.HostingReferencesHostedServices" Name="HostingReferencesHostedServices" DisplayName="Hosting References Hosted Services" Namespace="Dslfactory.wcfLanguage">
      <Source>
        <DomainRole Id="a33daef2-ba3f-4ea2-87c1-32153ca32d9c" Description="Description for Dslfactory.wcfLanguage.HostingReferencesHostedServices.Hosting" Name="Hosting" DisplayName="Hosting" PropertyName="HostedServices" PropertyDisplayName="Hosted Services">
          <RolePlayer>
            <DomainClassMoniker Name="Hosting" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="cac4260b-41c1-440b-a9f1-855366e55c61" Description="Description for Dslfactory.wcfLanguage.HostingReferencesHostedServices.Service" Name="Service" DisplayName="Service" PropertyName="Hosting" PropertyDisplayName="Hosting">
          <RolePlayer>
            <DomainClassMoniker Name="Service" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="84dc0e06-1d2f-476f-8e22-ec88d9d45ef0" Description="Description for Dslfactory.wcfLanguage.ServicesDefinitionHasMessageContracts" Name="ServicesDefinitionHasMessageContracts" DisplayName="Services Definition Has Message Contracts" Namespace="Dslfactory.wcfLanguage" IsEmbedding="true">
      <BaseRelationship>
        <DomainRelationshipMoniker Name="ServicesDefinitionHasDataClasses" />
      </BaseRelationship>
      <Source>
        <DomainRole Id="60296489-f8c8-4ae5-9073-2cc8674cb323" Description="Description for Dslfactory.wcfLanguage.ServicesDefinitionHasMessageContracts.ServicesDefinition" Name="ServicesDefinition" DisplayName="Services Definition" PropertyName="MessageContracts" PropertyDisplayName="Message Contracts">
          <RolePlayer>
            <DomainClassMoniker Name="ServicesDefinition" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="1ce0c942-99a1-4d92-a66a-323b80753538" Description="Description for Dslfactory.wcfLanguage.ServicesDefinitionHasMessageContracts.MessageContract" Name="MessageContract" DisplayName="Message Contract" PropertyName="ServicesDefinition" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Services Definition">
          <RolePlayer>
            <DomainClassMoniker Name="MessageContract" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="5ac7697a-1306-4ab5-ae1b-a23550f49486" Description="Description for Dslfactory.wcfLanguage.MessageContractHasMessageMembers" Name="MessageContractHasMessageMembers" DisplayName="Message Contract Has Message Members" Namespace="Dslfactory.wcfLanguage" IsEmbedding="true">
      <BaseRelationship>
        <DomainRelationshipMoniker Name="DataClassHasMembers" />
      </BaseRelationship>
      <Source>
        <DomainRole Id="74e28a8c-4f24-4afe-937f-0c60554521e8" Description="Description for Dslfactory.wcfLanguage.MessageContractHasMessageMembers.MessageContract" Name="MessageContract" DisplayName="Message Contract" PropertyName="MessageMembers" PropertyDisplayName="Message Members">
          <RolePlayer>
            <DomainClassMoniker Name="MessageContract" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="71db553d-f119-4f14-b908-bf0646bfe98f" Description="Description for Dslfactory.wcfLanguage.MessageContractHasMessageMembers.MessageMember" Name="MessageMember" DisplayName="Message Member" PropertyName="MessageContract" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Message Contract">
          <RolePlayer>
            <DomainClassMoniker Name="MessageMember" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="eae2a9ed-e62d-4a59-b5d6-2ecb8d824018" Description="A data class has members which are data members" Name="DataClassHasMembers" DisplayName="Data Class Has Members" Namespace="Dslfactory.wcfLanguage" IsEmbedding="true">
      <Source>
        <DomainRole Id="f260e430-e2a0-4019-8e2f-a22542dbdefd" Description="Data class owning the member" Name="DataClass" DisplayName="Data Class" PropertyName="Members" IsPropertyGenerator="false" Category="Member" IsPropertyBrowsable="false" PropertyDisplayName="Members">
          <RolePlayer>
            <DomainClassMoniker Name="DataClass" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="d5150d41-725d-456d-b86a-48bc019d7755" Description="Description for Dslfactory.wcfLanguage.DataClassHasMembers.FieldOrProperty" Name="FieldOrProperty" DisplayName="Field Or Property" PropertyName="DataClass" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Data Class">
          <RolePlayer>
            <DomainClassMoniker Name="FieldOrProperty" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="9e8be0f2-0ce2-4ddf-b711-97d2496ad2b7" Description="Description for Dslfactory.wcfLanguage.ServicesDefinitionHasDataClasses" Name="ServicesDefinitionHasDataClasses" DisplayName="Services Definition Has Data Classes" Namespace="Dslfactory.wcfLanguage" IsEmbedding="true">
      <Source>
        <DomainRole Id="bf885b6b-f3f7-4223-9140-7badcadd5677" Description="Description for Dslfactory.wcfLanguage.ServicesDefinitionHasDataClasses.ServicesDefinition" Name="ServicesDefinition" DisplayName="Services Definition" PropertyName="DataClasses" PropertyDisplayName="Data Classes">
          <RolePlayer>
            <DomainClassMoniker Name="ServicesDefinition" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="0ef2bcf4-88a4-488d-9f3c-098bfb1f8627" Description="Description for Dslfactory.wcfLanguage.ServicesDefinitionHasDataClasses.DataClass" Name="DataClass" DisplayName="Data Class" PropertyName="ServicesDefinition" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Services Definition">
          <RolePlayer>
            <DomainClassMoniker Name="DataClass" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="33955da2-cc9a-4a95-b4a9-f5e92d9f136c" Description="Description for Dslfactory.wcfLanguage.DataClassUsesDataClasses" Name="DataClassUsesDataClasses" DisplayName="Data Class Uses Data Classes" Namespace="Dslfactory.wcfLanguage" AllowsDuplicates="true">
      <Properties>
        <DomainProperty Id="ea9ac31f-37c7-40e7-939b-2513ba0eb83c" Description="Description for Dslfactory.wcfLanguage.DataClassUsesDataClasses.Role Name" Name="RoleName" DisplayName="Role Name" Kind="CustomStorage">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="6aa217b7-77b1-4fed-9d5d-4626af94c24a" Description="Description for Dslfactory.wcfLanguage.DataClassUsesDataClasses.Cardinality" Name="Cardinality" DisplayName="Cardinality" Kind="Calculated">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="42391f63-9aee-486a-b1de-717c95c78376" Description="Description for Dslfactory.wcfLanguage.DataClassUsesDataClasses.Type" Name="Type" DisplayName="Type" Kind="Calculated">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="689c81cf-394a-4b8c-a07d-e6f5b3565953" Description="Description for Dslfactory.wcfLanguage.DataClassUsesDataClasses.Kind" Name="Kind" DisplayName="Kind" Kind="CustomStorage">
          <Type>
            <DomainEnumerationMoniker Name="DataMemberKind" />
          </Type>
        </DomainProperty>
      </Properties>
      <Source>
        <DomainRole Id="ad7c2355-5fd5-4b43-8b2b-63af82d82e26" Description="Description for Dslfactory.wcfLanguage.DataClassUsesDataClasses.UsingDataClass" Name="UsingDataClass" DisplayName="Using Data Class" PropertyName="UsedDataTypes" PropertyDisplayName="Used Data Types">
          <RolePlayer>
            <DomainClassMoniker Name="DataClass" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="6fd3b3f1-5834-4f5d-a950-247b1b4e8deb" Description="Description for Dslfactory.wcfLanguage.DataClassUsesDataClasses.UsedDataClass" Name="UsedDataClass" DisplayName="Used Data Class" PropertyName="UsingDataTypes" PropertyDisplayName="Using Data Types">
          <RolePlayer>
            <DomainClassMoniker Name="DataClass" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="f84a7e32-d1f8-4dab-b1fa-3f5a9b189179" Description="Description for Dslfactory.wcfLanguage.IsAnotherRepresentationFor" Name="IsAnotherRepresentationFor" DisplayName="Is Another Representation For" Namespace="Dslfactory.wcfLanguage">
      <Source>
        <DomainRole Id="245eeac0-3e81-4e9c-a141-b8e06c328ee2" Description="Description for Dslfactory.wcfLanguage.IsAnotherRepresentationFor.DataClassUsesDataClasses" Name="DataClassUsesDataClasses" DisplayName="Data Class Uses Data Classes" PropertyName="RepresentedDataMember" Multiplicity="One" PropertyDisplayName="Represented Data Member">
          <RolePlayer>
            <DomainRelationshipMoniker Name="DataClassUsesDataClasses" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="099ceeb2-8765-4f9d-b0ac-f4a521071987" Description="Description for Dslfactory.wcfLanguage.IsAnotherRepresentationFor.FieldOrProperty" Name="FieldOrProperty" DisplayName="Field Or Property" PropertyName="Relationship" Multiplicity="ZeroOne" PropertyDisplayName="Relationship">
          <RolePlayer>
            <DomainClassMoniker Name="FieldOrProperty" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="15514c29-c69f-4677-912e-bc2f8c90c08f" Description="Description for Dslfactory.wcfLanguage.ServiceContractReferencesDataContracts" Name="ServiceContractReferencesDataContracts" DisplayName="Service Contract References Data Contracts" Namespace="Dslfactory.wcfLanguage">
      <Source>
        <DomainRole Id="d7eee333-1f47-453f-ad35-479bba82f85f" Description="Description for Dslfactory.wcfLanguage.ServiceContractReferencesDataContracts.ServiceContract" Name="ServiceContract" DisplayName="Service Contract" PropertyName="ReferencedDataClasses" PropertyDisplayName="Referenced Data Classes">
          <RolePlayer>
            <DomainClassMoniker Name="ServiceContract" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="506a191c-856b-46fa-bbab-3eda68f3fe2e" Description="Description for Dslfactory.wcfLanguage.ServiceContractReferencesDataContracts.DataClass" Name="DataClass" DisplayName="Data Class" PropertyName="ReferencingServiceContracts" PropertyDisplayName="Referencing Service Contracts">
          <RolePlayer>
            <DomainClassMoniker Name="DataClass" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
  </Relationships>
  <Types>
    <ExternalType Name="DateTime" Namespace="System" />
    <ExternalType Name="String" Namespace="System" />
    <ExternalType Name="Int16" Namespace="System" />
    <ExternalType Name="Int32" Namespace="System" />
    <ExternalType Name="Int64" Namespace="System" />
    <ExternalType Name="UInt16" Namespace="System" />
    <ExternalType Name="UInt32" Namespace="System" />
    <ExternalType Name="UInt64" Namespace="System" />
    <ExternalType Name="SByte" Namespace="System" />
    <ExternalType Name="Byte" Namespace="System" />
    <ExternalType Name="Double" Namespace="System" />
    <ExternalType Name="Single" Namespace="System" />
    <ExternalType Name="Guid" Namespace="System" />
    <ExternalType Name="Boolean" Namespace="System" />
    <ExternalType Name="Char" Namespace="System" />
    <ExternalType Name="ProtectionLevel" Namespace="System.Net.Security" />
    <ExternalType Name="SessionMode" Namespace="System.ServiceModel" />
    <ExternalType Name="AddressFilterMode" Namespace="System.ServiceModel" />
    <ExternalType Name="ConcurrencyMode" Namespace="System.ServiceModel" />
    <ExternalType Name="InstanceContextMode" Namespace="System.ServiceModel" />
    <ExternalType Name="IsolationLevel" Namespace="System.Transactions" />
    <DomainEnumeration Name="DataMemberKind" Namespace="Dslfactory.wcfLanguage" Description="Description for Dslfactory.wcfLanguage.DataMemberKind">
      <Literals>
        <EnumerationLiteral Description="Implementation as a property" Name="Property" Value="" />
        <EnumerationLiteral Description="Implementation as a field" Name="Field" Value="" />
      </Literals>
    </DomainEnumeration>
    <DomainEnumeration Name="Visibility" Namespace="Dslfactory.wcfLanguage" Description="Description for Dslfactory.wcfLanguage.Visibility">
      <Literals>
        <EnumerationLiteral Description="Description for Dslfactory.wcfLanguage.Visibility.Public" Name="Public" Value="" />
        <EnumerationLiteral Description="Description for Dslfactory.wcfLanguage.Visibility.Protected" Name="Protected" Value="" />
        <EnumerationLiteral Description="Description for Dslfactory.wcfLanguage.Visibility.Private" Name="Private" Value="" />
        <EnumerationLiteral Description="Description for Dslfactory.wcfLanguage.Visibility.Internal" Name="Internal" Value="" />
      </Literals>
    </DomainEnumeration>
    <DomainEnumeration Name="HostingKind" Namespace="Dslfactory.wcfLanguage" Description="Kind of hosting">
      <Literals>
        <EnumerationLiteral Description="Console application" Name="Console" Value="" />
        <EnumerationLiteral Description="Internet Information Server Web Server" Name="IIS" Value="" />
        <EnumerationLiteral Description="Service hosting in Vista" Name="WAS" Value="" />
        <EnumerationLiteral Description="Service of the operating system" Name="OsService" Value="" />
      </Literals>
    </DomainEnumeration>
    <DomainEnumeration Name="GenerationKind" Namespace="Dslfactory.wcfLanguage" Description="Where is the type generated ?">
      <Literals>
        <EnumerationLiteral Description="The type was generated in the project" Name="GeneratedInProject" Value="" />
        <EnumerationLiteral Description="The type was generated in a project reference" Name="GeneratedInReference" Value="" />
        <EnumerationLiteral Description="The type was not generated" Name="NotGenerated" Value="" />
      </Literals>
    </DomainEnumeration>
    <DomainEnumeration Name="RepresentationKind" Namespace="Dslfactory.wcfLanguage" Description="Kind of representation">
      <Literals>
        <EnumerationLiteral Description="Representation as a member in the compartment" Name="AsMember" Value="" />
        <EnumerationLiteral Description="Representation as a role of a relationship" Name="AsRole" Value="" />
        <EnumerationLiteral Description="The member is hidden" Name="Hidden" Value="" />
      </Literals>
    </DomainEnumeration>
    <DomainEnumeration Name="MessageMemberKind" Namespace="Dslfactory.wcfLanguage" Description="Kind of member in a Message Contract">
      <Literals>
        <EnumerationLiteral Description="Regular member" Name="Normal" Value="" />
        <EnumerationLiteral Description="Message body member" Name="MessageBody" Value="" />
        <EnumerationLiteral Description="Message header member" Name="MessageHeader" Value="" />
        <EnumerationLiteral Description="Description for Dslfactory.wcfLanguage.MessageMemberKind.MessageHeaderArray" Name="MessageHeaderArray" Value="" />
      </Literals>
    </DomainEnumeration>
    <ExternalType Name="Color" Namespace="System.Drawing" />
  </Types>
  <Shapes>
    <CompartmentShape Id="eb4ba02b-bd40-4095-b863-784d11bed66c" Description="Description for Dslfactory.wcfLanguage.InterfaceShape" Name="InterfaceShape" DisplayName="Interface Shape" Namespace="Dslfactory.wcfLanguage" GeneratesDoubleDerived="true" FixedTooltipText="Interface Shape" FillColor="235, 241, 222" OutlineColor="64, 64, 64" InitialHeight="0.6" OutlineThickness="0.009" Geometry="RoundedRectangle">
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="Name" DisplayName="Name" DefaultText="Name" FontStyle="Bold" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0.15">
        <TextDecorator Name="ServiceContract" DisplayName="Service Contract" DefaultText="Service Contract" FontSize="7" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0">
        <ExpandCollapseDecorator Name="ExpandCollapseDecorator" DisplayName="Expand Collapse Decorator" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0.2">
        <IconDecorator Name="NotSynchronized" DisplayName="Not Synchronized" DefaultIcon="Resources\NotSynchronized.bmp" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0.2">
        <IconDecorator Name="GeneratedInReference" DisplayName="Generated In Reference" DefaultIcon="Resources\VSProject_reference.bmp" />
      </ShapeHasDecorators>
      <Compartment TitleFillColor="244, 247, 237" Name="Operations" Title="Operations" />
    </CompartmentShape>
    <GeometryShape Id="f8848fe0-b543-4426-bf12-0f25c0c6f2ae" Description="Description for Dslfactory.wcfLanguage.ServiceShape" Name="ServiceShape" DisplayName="Service Shape" Namespace="Dslfactory.wcfLanguage" FixedTooltipText="Service Shape" FillColor="Salmon" InitialHeight="1" OutlineThickness="0.009" Geometry="RoundedRectangle">
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="Name" DisplayName="Name" DefaultText="Name" FontStyle="Bold" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0.15">
        <TextDecorator Name="Service" DisplayName="Service" DefaultText="Service" FontSize="7" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0.2">
        <IconDecorator Name="NotGenerated" DisplayName="Not Generated" DefaultIcon="Resources\NotSynchronized.bmp" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0.2">
        <IconDecorator Name="GeneratedInReference" DisplayName="Generated In Reference" DefaultIcon="Resources\VSProject_reference.bmp" />
      </ShapeHasDecorators>
    </GeometryShape>
    <CompartmentShape Id="b81e5b89-7111-4bb1-bead-cdb9d13e1cce" Description="Description for Dslfactory.wcfLanguage.DataClassShape" Name="DataClassShape" DisplayName="Data Class Shape" InheritanceModifier="Abstract" Namespace="Dslfactory.wcfLanguage" GeneratesDoubleDerived="true" FixedTooltipText="Data Class Shape" FillColor="198, 217, 241" OutlineColor="64, 64, 64" InitialHeight="0.6" OutlineThickness="0.009" Geometry="RoundedRectangle">
      <Properties>
        <DomainProperty Id="e1bdb5a8-ca4c-49f1-974a-bd53d9268eae" Description="Description for Dslfactory.wcfLanguage.DataClassShape.Is Filtered" Name="IsFiltered" DisplayName="Is Filtered" Kind="Calculated">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
      </Properties>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="Name" DisplayName="Name" DefaultText="Name" FontStyle="Bold" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0">
        <ExpandCollapseDecorator Name="ExpandCollapseDecorator1" DisplayName="Expand Collapse Decorator1" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0.2">
        <IconDecorator Name="NotGenerated" DisplayName="Not Generated" DefaultIcon="Resources\NotSynchronized.bmp" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0.2">
        <IconDecorator Name="GeneratedInReference" DisplayName="Generated In Reference" DefaultIcon="Resources\VSProject_reference.bmp" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0.3">
        <IconDecorator Name="Filter" DisplayName="Filter" DefaultIcon="Resources\Filter.bmp" />
      </ShapeHasDecorators>
    </CompartmentShape>
    <GeometryShape Id="ff696e83-2c34-43b2-8bb5-34e181071695" Description="Description for Dslfactory.wcfLanguage.HostingShape" Name="HostingShape" DisplayName="Hosting Shape" Namespace="Dslfactory.wcfLanguage" FixedTooltipText="Hosting Shape" InitialHeight="1" OutlineThickness="0.009" Geometry="Rectangle">
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="Name" DisplayName="Name" DefaultText="Name" FontStyle="Bold" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="Kind" DisplayName="Kind" DefaultText="Kind" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0.15">
        <TextDecorator Name="Hosting" DisplayName="Hosting" DefaultText="Hosting" FontSize="7" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0.2">
        <IconDecorator Name="Console" DisplayName="Console" DefaultIcon="Resources\FullScreenHS.bmp" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0.2">
        <IconDecorator Name="IIS" DisplayName="IIS" DefaultIcon="Resources\genericInternet.bmp" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0.2">
        <IconDecorator Name="WAS" DisplayName="WAS" DefaultIcon="Resources\Webcontrol_Webpartmgr.bmp" />
      </ShapeHasDecorators>
    </GeometryShape>
    <CompartmentShape Id="eaa7974c-6829-4de5-b9ad-f07dede9a9a3" Description="Description for Dslfactory.wcfLanguage.MessageContractShape" Name="MessageContractShape" DisplayName="Message Contract Shape" Namespace="Dslfactory.wcfLanguage" GeneratesDoubleDerived="true" FixedTooltipText="Message Contract Shape" FillColor="198, 217, 241" OutlineColor="64, 64, 64" InitialHeight="1" OutlineThickness="0.009" Geometry="RoundedRectangle">
      <BaseCompartmentShape>
        <CompartmentShapeMoniker Name="DataClassShape" />
      </BaseCompartmentShape>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0.15">
        <TextDecorator Name="MessageContract" DisplayName="Message Contract" DefaultText="MessageContract" FontSize="7" />
      </ShapeHasDecorators>
      <Compartment TitleFillColor="231, 239, 249" Name="Data" Title="Message contract members" />
    </CompartmentShape>
    <CompartmentShape Id="9f1120b7-b48a-496e-9b1d-b5f1f001a80f" Description="Description for Dslfactory.wcfLanguage.DataContractShape" Name="DataContractShape" DisplayName="Data Contract Shape" Namespace="Dslfactory.wcfLanguage" GeneratesDoubleDerived="true" FixedTooltipText="Data Contract Shape" FillColor="198, 217, 241" OutlineColor="64, 64, 64" InitialHeight="1" OutlineThickness="0.009" Geometry="RoundedRectangle">
      <BaseCompartmentShape>
        <CompartmentShapeMoniker Name="DataClassShape" />
      </BaseCompartmentShape>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0.15">
        <TextDecorator Name="DataContract" DisplayName="Data Contract" DefaultText="DataContract" FontSize="7" />
      </ShapeHasDecorators>
      <Compartment TitleFillColor="231, 239, 249" Name="Data" Title="Data members" />
    </CompartmentShape>
  </Shapes>
  <Connectors>
    <Connector Id="008be9cc-13c2-435b-9fb4-990997b080a3" Description="Description for Dslfactory.wcfLanguage.ImplementsConnector" Name="ImplementsConnector" DisplayName="Implements Connector" Namespace="Dslfactory.wcfLanguage" FixedTooltipText="Implements Connector" DashStyle="Dash" TargetEndStyle="HollowArrow" Thickness="0.009" RoutingStyle="Straight" />
    <Connector Id="d79ad6fd-8fd1-4377-b4de-984c1cf1a458" Description="Description for Dslfactory.wcfLanguage.HostingConnector" Name="HostingConnector" DisplayName="Hosting Connector" Namespace="Dslfactory.wcfLanguage" FixedTooltipText="Hosting Connector" Thickness="0.009" RoutingStyle="Straight" />
    <Connector Id="c81678e1-4cf5-4313-8184-430e26531964" Description="Description for Dslfactory.wcfLanguage.UsageConnector" Name="UsageConnector" DisplayName="Usage Connector" Namespace="Dslfactory.wcfLanguage" GeneratesDoubleDerived="true" TooltipType="Variable" FixedTooltipText="Usage Connector" Color="CornflowerBlue" TargetEndStyle="EmptyArrow" Thickness="0.01" ExposesColorAsProperty="true">
      <Properties>
        <DomainProperty Id="89a33cd7-75e2-4edf-a34f-cafe6afc851a" Description="Description for Dslfactory.wcfLanguage.UsageConnector.Color" Name="Color" DisplayName="Color" Kind="CustomStorage" IsBrowsable="false">
          <Type>
            <ExternalTypeMoniker Name="/System.Drawing/Color" />
          </Type>
        </DomainProperty>
      </Properties>
      <ConnectorHasDecorators Position="TargetTop" OffsetFromShape="0" OffsetFromLine="0">
        <TextDecorator Name="RoleName" DisplayName="Role Name" DefaultText="RoleName" FontStyle="Bold" FontSize="7" />
      </ConnectorHasDecorators>
      <ConnectorHasDecorators Position="TargetBottom" OffsetFromShape="0" OffsetFromLine="0">
        <TextDecorator Name="Cardinality" DisplayName="Cardinality" DefaultText="Cardinality" FontStyle="Bold" FontSize="7" />
      </ConnectorHasDecorators>
      <ConnectorHasDecorators Position="TargetBottom" OffsetFromShape="0.1" OffsetFromLine="0">
        <IconDecorator Name="Field" DisplayName="Field" DefaultIcon="Resources\VSObject_Field.bmp" />
      </ConnectorHasDecorators>
      <ConnectorHasDecorators Position="TargetBottom" OffsetFromShape="0.1" OffsetFromLine="0">
        <IconDecorator Name="Property" DisplayName="Property" DefaultIcon="Resources\VSObject_Properties.bmp" />
      </ConnectorHasDecorators>
    </Connector>
    <Connector Id="845a781e-2865-4ff9-bd79-81103bc2a2df" Description="Description for Dslfactory.wcfLanguage.ReferenceConnector" Name="ReferenceConnector" DisplayName="Reference Connector" Namespace="Dslfactory.wcfLanguage" FixedTooltipText="Reference Connector" DashStyle="Dash" TargetEndStyle="EmptyArrow" Thickness="0.009" RoutingStyle="Straight" />
  </Connectors>
  <XmlSerializationBehavior Name="wcfLanguageSerializationBehavior" Namespace="Dslfactory.wcfLanguage">
    <ClassData>
      <XmlClassData TypeName="ServicesDefinition" MonikerAttributeName="" SerializeId="true" MonikerElementName="servicesDefinitionMoniker" ElementName="servicesDefinition" MonikerTypeName="ServicesDefinitionMoniker">
        <DomainClassMoniker Name="ServicesDefinition" />
        <ElementData>
          <XmlRelationshipData RoleElementName="services">
            <DomainRelationshipMoniker Name="ServicesDefinitionHasServices" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="interfaces">
            <DomainRelationshipMoniker Name="ServicesDefinitionHasInterfaces" />
          </XmlRelationshipData>
          <XmlRelationshipData UseFullForm="true" RoleElementName="dataContracts">
            <DomainRelationshipMoniker Name="ServicesDefinitionHasDataContracts" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="hosting">
            <DomainRelationshipMoniker Name="ServicesDefinitionHasHosting" />
          </XmlRelationshipData>
          <XmlRelationshipData UseFullForm="true" RoleElementName="messageContracts">
            <DomainRelationshipMoniker Name="ServicesDefinitionHasMessageContracts" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="dataClasses">
            <DomainRelationshipMoniker Name="ServicesDefinitionHasDataClasses" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="ServiceContract" MonikerAttributeName="" MonikerElementName="serviceContractMoniker" ElementName="serviceContract" MonikerTypeName="ServiceContractMoniker">
        <DomainClassMoniker Name="ServiceContract" />
        <ElementData>
          <XmlPropertyData XmlName="protectionLevel">
            <DomainPropertyMoniker Name="ServiceContract/ProtectionLevel" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="sessionMode">
            <DomainPropertyMoniker Name="ServiceContract/SessionMode" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="configurationName">
            <DomainPropertyMoniker Name="ServiceContract/ConfigurationName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="serviceContractNamespace">
            <DomainPropertyMoniker Name="ServiceContract/ServiceContractNamespace" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="callbackContract">
            <DomainRelationshipMoniker Name="ServiceContractReferencesCallbackContract" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="serviceContractName">
            <DomainPropertyMoniker Name="ServiceContract/ServiceContractName" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="referencedDataClasses">
            <DomainRelationshipMoniker Name="ServiceContractReferencesDataContracts" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="wcfLanguageDiagram" MonikerAttributeName="" MonikerElementName="minimalLanguageDiagramMoniker" ElementName="minimalLanguageDiagram" MonikerTypeName="wcfLanguageDiagramMoniker">
        <DiagramMoniker Name="wcfLanguageDiagram" />
      </XmlClassData>
      <XmlClassData TypeName="ServiceContractReferencesCallbackContract" MonikerAttributeName="" MonikerElementName="serviceContractReferencesCallbackContractMoniker" ElementName="serviceContractReferencesCallbackContract" MonikerTypeName="ServiceContractReferencesCallbackContractMoniker">
        <DomainRelationshipMoniker Name="ServiceContractReferencesCallbackContract" />
      </XmlClassData>
      <XmlClassData TypeName="OperationContract" MonikerAttributeName="" MonikerElementName="operationContractMoniker" ElementName="operationContract" MonikerTypeName="OperationContractMoniker">
        <DomainClassMoniker Name="OperationContract" />
        <ElementData>
          <XmlPropertyData XmlName="action">
            <DomainPropertyMoniker Name="OperationContract/Action" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="asyncPattern">
            <DomainPropertyMoniker Name="OperationContract/AsyncPattern" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="isInitiating">
            <DomainPropertyMoniker Name="OperationContract/IsInitiating" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="isOneWay">
            <DomainPropertyMoniker Name="OperationContract/IsOneWay" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="isTerminating">
            <DomainPropertyMoniker Name="OperationContract/IsTerminating" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="protectionLevel">
            <DomainPropertyMoniker Name="OperationContract/ProtectionLevel" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="replyAction">
            <DomainPropertyMoniker Name="OperationContract/ReplyAction" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="operationContractName">
            <DomainPropertyMoniker Name="OperationContract/OperationContractName" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="InterfaceShape" MonikerAttributeName="" MonikerElementName="interfaceShapeMoniker" ElementName="interfaceShape" MonikerTypeName="InterfaceShapeMoniker">
        <CompartmentShapeMoniker Name="InterfaceShape" />
      </XmlClassData>
      <XmlClassData TypeName="Service" MonikerAttributeName="" MonikerElementName="serviceMoniker" ElementName="service" MonikerTypeName="ServiceMoniker">
        <DomainClassMoniker Name="Service" />
        <ElementData>
          <XmlPropertyData XmlName="addressFilterMode">
            <DomainPropertyMoniker Name="Service/AddressFilterMode" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="automaticSessionShutdown">
            <DomainPropertyMoniker Name="Service/AutomaticSessionShutdown" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="concurrencyMode">
            <DomainPropertyMoniker Name="Service/ConcurrencyMode" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="configurationName">
            <DomainPropertyMoniker Name="Service/ConfigurationName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="ignoreExtensionDataObject">
            <DomainPropertyMoniker Name="Service/IgnoreExtensionDataObject" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="includeExceptionDetailInFaults">
            <DomainPropertyMoniker Name="Service/IncludeExceptionDetailInFaults" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="instanceContextMode">
            <DomainPropertyMoniker Name="Service/InstanceContextMode" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="maxItemsInObjectGraph">
            <DomainPropertyMoniker Name="Service/MaxItemsInObjectGraph" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="releaseServiceInstanceOnTransactionComplete">
            <DomainPropertyMoniker Name="Service/ReleaseServiceInstanceOnTransactionComplete" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="transactionAutoCompleteOnSessionClose">
            <DomainPropertyMoniker Name="Service/TransactionAutoCompleteOnSessionClose" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="transactionIsolationLevel">
            <DomainPropertyMoniker Name="Service/TransactionIsolationLevel" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="transactionTimeout">
            <DomainPropertyMoniker Name="Service/TransactionTimeout" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="useSynchronizationContext">
            <DomainPropertyMoniker Name="Service/UseSynchronizationContext" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="validateMustUnderstand">
            <DomainPropertyMoniker Name="Service/ValidateMustUnderstand" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="implementedServiceContracts">
            <DomainRelationshipMoniker Name="ServiceReferencesImplementedServiceContracts" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="wSDLName">
            <DomainPropertyMoniker Name="Service/WSDLName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="wSDLNamespace">
            <DomainPropertyMoniker Name="Service/WSDLNamespace" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="ServicesDefinitionHasServices" MonikerAttributeName="" MonikerElementName="servicesDefinitionHasServicesMoniker" ElementName="servicesDefinitionHasServices" MonikerTypeName="ServicesDefinitionHasServicesMoniker">
        <DomainRelationshipMoniker Name="ServicesDefinitionHasServices" />
      </XmlClassData>
      <XmlClassData TypeName="ServiceShape" MonikerAttributeName="" MonikerElementName="serviceShapeMoniker" ElementName="serviceShape" MonikerTypeName="ServiceShapeMoniker">
        <GeometryShapeMoniker Name="ServiceShape" />
      </XmlClassData>
      <XmlClassData TypeName="ImplementsConnector" MonikerAttributeName="" MonikerElementName="implementsConnectorMoniker" ElementName="implementsConnector" MonikerTypeName="ImplementsConnectorMoniker">
        <ConnectorMoniker Name="ImplementsConnector" />
      </XmlClassData>
      <XmlClassData TypeName="ServiceReferencesImplementedServiceContracts" MonikerAttributeName="" MonikerElementName="serviceReferencesImplementedServiceContractsMoniker" ElementName="serviceReferencesImplementedServiceContracts" MonikerTypeName="ServiceReferencesImplementedServiceContractsMoniker">
        <DomainRelationshipMoniker Name="ServiceReferencesImplementedServiceContracts" />
      </XmlClassData>
      <XmlClassData TypeName="Interface" MonikerAttributeName="" MonikerElementName="interfaceMoniker" ElementName="interface" MonikerTypeName="InterfaceMoniker">
        <DomainClassMoniker Name="Interface" />
        <ElementData>
          <XmlRelationshipData RoleElementName="methods">
            <DomainRelationshipMoniker Name="InterfaceHasMethods" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="isServiceContract">
            <DomainPropertyMoniker Name="Interface/IsServiceContract" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="kindLabel" Representation="Ignore">
            <DomainPropertyMoniker Name="Interface/KindLabel" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="ServicesDefinitionHasInterfaces" MonikerAttributeName="" MonikerElementName="servicesDefinitionHasInterfacesMoniker" ElementName="servicesDefinitionHasInterfaces" MonikerTypeName="ServicesDefinitionHasInterfacesMoniker">
        <DomainRelationshipMoniker Name="ServicesDefinitionHasInterfaces" />
      </XmlClassData>
      <XmlClassData TypeName="Method" MonikerAttributeName="" MonikerElementName="methodMoniker" ElementName="method" MonikerTypeName="MethodMoniker">
        <DomainClassMoniker Name="Method" />
        <ElementData>
          <XmlPropertyData XmlName="name">
            <DomainPropertyMoniker Name="Method/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="signature">
            <DomainPropertyMoniker Name="Method/Signature" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="isOperationContract">
            <DomainPropertyMoniker Name="Method/IsOperationContract" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="label">
            <DomainPropertyMoniker Name="Method/Label" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="prototype">
            <DomainPropertyMoniker Name="Method/Prototype" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="InterfaceHasMethods" MonikerAttributeName="" MonikerElementName="interfaceHasMethodsMoniker" ElementName="interfaceHasMethods" MonikerTypeName="InterfaceHasMethodsMoniker">
        <DomainRelationshipMoniker Name="InterfaceHasMethods" />
      </XmlClassData>
      <XmlClassData TypeName="DataContract" MonikerAttributeName="" MonikerElementName="dataContractMoniker" ElementName="dataContract" MonikerTypeName="DataContractMoniker">
        <DomainClassMoniker Name="DataContract" />
        <ElementData>
          <XmlPropertyData XmlName="isDataContract">
            <DomainPropertyMoniker Name="DataContract/IsDataContract" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="dataContractName">
            <DomainPropertyMoniker Name="DataContract/DataContractName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="dataContractNamespace">
            <DomainPropertyMoniker Name="DataContract/DataContractNamespace" />
          </XmlPropertyData>
          <XmlRelationshipData UseFullForm="true" RoleElementName="dataMembers">
            <DomainRelationshipMoniker Name="DataContractHasDataMembers" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="label" Representation="Ignore">
            <DomainPropertyMoniker Name="DataContract/Label" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="ServicesDefinitionHasDataContracts" MonikerAttributeName="" MonikerElementName="servicesDefinitionHasDataContractsMoniker" ElementName="servicesDefinitionHasDataContracts" MonikerTypeName="ServicesDefinitionHasDataContractsMoniker">
        <DomainRelationshipMoniker Name="ServicesDefinitionHasDataContracts" />
      </XmlClassData>
      <XmlClassData TypeName="TypeOfInterest" MonikerAttributeName="name" MonikerElementName="typeOfInterestMoniker" ElementName="typeOfInterest" MonikerTypeName="TypeOfInterestMoniker">
        <DomainClassMoniker Name="TypeOfInterest" />
        <ElementData>
          <XmlPropertyData XmlName="name" IsMonikerKey="true">
            <DomainPropertyMoniker Name="TypeOfInterest/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="namespace">
            <DomainPropertyMoniker Name="TypeOfInterest/Namespace" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="fullName">
            <DomainPropertyMoniker Name="TypeOfInterest/FullName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="generationKind" Representation="Ignore">
            <DomainPropertyMoniker Name="TypeOfInterest/GenerationKind" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DataMember" MonikerAttributeName="" MonikerElementName="dataMemberMoniker" ElementName="dataMember" MonikerTypeName="DataMemberMoniker">
        <DomainClassMoniker Name="DataMember" />
        <ElementData>
          <XmlPropertyData XmlName="isDataMember">
            <DomainPropertyMoniker Name="DataMember/IsDataMember" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="dataMemberName">
            <DomainPropertyMoniker Name="DataMember/DataMemberName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="isRequired">
            <DomainPropertyMoniker Name="DataMember/IsRequired" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="order">
            <DomainPropertyMoniker Name="DataMember/Order" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="emitDefaultValue">
            <DomainPropertyMoniker Name="DataMember/EmitDefaultValue" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DataContractHasDataMembers" MonikerAttributeName="" MonikerElementName="dataContractHasDataMembersMoniker" ElementName="dataContractHasDataMembers" MonikerTypeName="DataContractHasDataMembersMoniker">
        <DomainRelationshipMoniker Name="DataContractHasDataMembers" />
      </XmlClassData>
      <XmlClassData TypeName="DataClassShape" MonikerAttributeName="" MonikerElementName="dataClassShapeMoniker" ElementName="dataClassShape" MonikerTypeName="DataClassShapeMoniker">
        <CompartmentShapeMoniker Name="DataClassShape" />
        <ElementData>
          <XmlPropertyData XmlName="isFiltered" Representation="Ignore">
            <DomainPropertyMoniker Name="DataClassShape/IsFiltered" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Hosting" MonikerAttributeName="" MonikerElementName="hostingMoniker" ElementName="hosting" MonikerTypeName="HostingMoniker">
        <DomainClassMoniker Name="Hosting" />
        <ElementData>
          <XmlPropertyData XmlName="kind">
            <DomainPropertyMoniker Name="Hosting/Kind" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="hostedServices">
            <DomainRelationshipMoniker Name="HostingReferencesHostedServices" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="ServicesDefinitionHasHosting" MonikerAttributeName="" MonikerElementName="servicesDefinitionHasHostingMoniker" ElementName="servicesDefinitionHasHosting" MonikerTypeName="ServicesDefinitionHasHostingMoniker">
        <DomainRelationshipMoniker Name="ServicesDefinitionHasHosting" />
      </XmlClassData>
      <XmlClassData TypeName="HostingReferencesHostedServices" MonikerAttributeName="" MonikerElementName="hostingReferencesHostedServicesMoniker" ElementName="hostingReferencesHostedServices" MonikerTypeName="HostingReferencesHostedServicesMoniker">
        <DomainRelationshipMoniker Name="HostingReferencesHostedServices" />
      </XmlClassData>
      <XmlClassData TypeName="HostingConnector" MonikerAttributeName="" MonikerElementName="hostingConnectorMoniker" ElementName="hostingConnector" MonikerTypeName="HostingConnectorMoniker">
        <ConnectorMoniker Name="HostingConnector" />
      </XmlClassData>
      <XmlClassData TypeName="HostingShape" MonikerAttributeName="" MonikerElementName="hostingShapeMoniker" ElementName="hostingShape" MonikerTypeName="HostingShapeMoniker">
        <GeometryShapeMoniker Name="HostingShape" />
      </XmlClassData>
      <XmlClassData TypeName="UsageConnector" MonikerAttributeName="" MonikerElementName="usageConnectorMoniker" ElementName="usageConnector" MonikerTypeName="UsageConnectorMoniker">
        <ConnectorMoniker Name="UsageConnector" />
        <ElementData>
          <XmlPropertyData XmlName="color">
            <DomainPropertyMoniker Name="UsageConnector/Color" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="MessageContract" MonikerAttributeName="" MonikerElementName="messageContractMoniker" ElementName="messageContract" MonikerTypeName="MessageContractMoniker">
        <DomainClassMoniker Name="MessageContract" />
        <ElementData>
          <XmlPropertyData XmlName="isWrapped">
            <DomainPropertyMoniker Name="MessageContract/IsWrapped" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="protectionLevel">
            <DomainPropertyMoniker Name="MessageContract/ProtectionLevel" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="wrapperName">
            <DomainPropertyMoniker Name="MessageContract/WrapperName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="wrapperNamespace">
            <DomainPropertyMoniker Name="MessageContract/WrapperNamespace" />
          </XmlPropertyData>
          <XmlRelationshipData UseFullForm="true" RoleElementName="messageMembers">
            <DomainRelationshipMoniker Name="MessageContractHasMessageMembers" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="ServicesDefinitionHasMessageContracts" MonikerAttributeName="" MonikerElementName="servicesDefinitionHasMessageContractsMoniker" ElementName="servicesDefinitionHasMessageContracts" MonikerTypeName="ServicesDefinitionHasMessageContractsMoniker">
        <DomainRelationshipMoniker Name="ServicesDefinitionHasMessageContracts" />
      </XmlClassData>
      <XmlClassData TypeName="MessageContractShape" MonikerAttributeName="" MonikerElementName="messageContractShapeMoniker" ElementName="messageContractShape" MonikerTypeName="MessageContractShapeMoniker">
        <CompartmentShapeMoniker Name="MessageContractShape" />
      </XmlClassData>
      <XmlClassData TypeName="MessageContractHasMessageMembers" MonikerAttributeName="" MonikerElementName="messageContractHasMessageMembersMoniker" ElementName="messageContractHasMessageMembers" MonikerTypeName="MessageContractHasMessageMembersMoniker">
        <DomainRelationshipMoniker Name="MessageContractHasMessageMembers" />
      </XmlClassData>
      <XmlClassData TypeName="MessageMember" MonikerAttributeName="" MonikerElementName="messageMemberMoniker" ElementName="messageMember" MonikerTypeName="MessageMemberMoniker">
        <DomainClassMoniker Name="MessageMember" />
        <ElementData>
          <XmlPropertyData XmlName="protectionLevel">
            <DomainPropertyMoniker Name="MessageMember/ProtectionLevel" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="wCFName">
            <DomainPropertyMoniker Name="MessageMember/WCFName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="wCFNamespace">
            <DomainPropertyMoniker Name="MessageMember/WCFNamespace" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="order">
            <DomainPropertyMoniker Name="MessageMember/Order" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="messageMemberKind">
            <DomainPropertyMoniker Name="MessageMember/MessageMemberKind" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="actor">
            <DomainPropertyMoniker Name="MessageMember/Actor" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="mustUnderstand">
            <DomainPropertyMoniker Name="MessageMember/MustUnderstand" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="relay">
            <DomainPropertyMoniker Name="MessageMember/Relay" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="FieldOrProperty" MonikerAttributeName="name" MonikerElementName="fieldOrPropertyMoniker" ElementName="fieldOrProperty" MonikerTypeName="FieldOrPropertyMoniker">
        <DomainClassMoniker Name="FieldOrProperty" />
        <ElementData>
          <XmlPropertyData XmlName="name" IsMonikerKey="true">
            <DomainPropertyMoniker Name="FieldOrProperty/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="memberFullTypeName">
            <DomainPropertyMoniker Name="FieldOrProperty/MemberFullTypeName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="label" Representation="Ignore">
            <DomainPropertyMoniker Name="FieldOrProperty/Label" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="visibility">
            <DomainPropertyMoniker Name="FieldOrProperty/Visibility" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="kind">
            <DomainPropertyMoniker Name="FieldOrProperty/Kind" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="representation">
            <DomainPropertyMoniker Name="FieldOrProperty/Representation" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DataClass" MonikerAttributeName="" MonikerElementName="dataClassMoniker" ElementName="dataClass" MonikerTypeName="DataClassMoniker">
        <DomainClassMoniker Name="DataClass" />
        <ElementData>
          <XmlRelationshipData RoleElementName="members">
            <DomainRelationshipMoniker Name="DataClassHasMembers" />
          </XmlRelationshipData>
          <XmlRelationshipData UseFullForm="true" RoleElementName="usedDataTypes">
            <DomainRelationshipMoniker Name="DataClassUsesDataClasses" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DataClassHasMembers" MonikerAttributeName="" MonikerElementName="dataClassHasMembersMoniker" ElementName="dataClassHasMembers" MonikerTypeName="DataClassHasMembersMoniker">
        <DomainRelationshipMoniker Name="DataClassHasMembers" />
      </XmlClassData>
      <XmlClassData TypeName="DataContractShape" MonikerAttributeName="" MonikerElementName="dataContractShapeMoniker" ElementName="dataContractShape" MonikerTypeName="DataContractShapeMoniker">
        <CompartmentShapeMoniker Name="DataContractShape" />
      </XmlClassData>
      <XmlClassData TypeName="ServicesDefinitionHasDataClasses" MonikerAttributeName="" MonikerElementName="servicesDefinitionHasDataClassesMoniker" ElementName="servicesDefinitionHasDataClasses" MonikerTypeName="ServicesDefinitionHasDataClassesMoniker">
        <DomainRelationshipMoniker Name="ServicesDefinitionHasDataClasses" />
      </XmlClassData>
      <XmlClassData TypeName="DataClassUsesDataClasses" MonikerAttributeName="" SerializeId="true" MonikerElementName="dataClassUsesDataClassesMoniker" ElementName="dataClassUsesDataClasses" MonikerTypeName="DataClassUsesDataClassesMoniker">
        <DomainRelationshipMoniker Name="DataClassUsesDataClasses" />
        <ElementData>
          <XmlPropertyData XmlName="roleName">
            <DomainPropertyMoniker Name="DataClassUsesDataClasses/RoleName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="cardinality" Representation="Ignore">
            <DomainPropertyMoniker Name="DataClassUsesDataClasses/Cardinality" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="type" Representation="Ignore">
            <DomainPropertyMoniker Name="DataClassUsesDataClasses/Type" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="kind">
            <DomainPropertyMoniker Name="DataClassUsesDataClasses/Kind" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="representedDataMember">
            <DomainRelationshipMoniker Name="IsAnotherRepresentationFor" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="IsAnotherRepresentationFor" MonikerAttributeName="" MonikerElementName="isAnotherRepresentationForMoniker" ElementName="isAnotherRepresentationFor" MonikerTypeName="IsAnotherRepresentationForMoniker">
        <DomainRelationshipMoniker Name="IsAnotherRepresentationFor" />
      </XmlClassData>
      <XmlClassData TypeName="ReferenceConnector" MonikerAttributeName="" MonikerElementName="referenceConnectorMoniker" ElementName="referenceConnector" MonikerTypeName="ReferenceConnectorMoniker">
        <ConnectorMoniker Name="ReferenceConnector" />
      </XmlClassData>
      <XmlClassData TypeName="ServiceContractReferencesDataContracts" MonikerAttributeName="" MonikerElementName="serviceContractReferencesDataContractsMoniker" ElementName="serviceContractReferencesDataContracts" MonikerTypeName="ServiceContractReferencesDataContractsMoniker">
        <DomainRelationshipMoniker Name="ServiceContractReferencesDataContracts" />
      </XmlClassData>
    </ClassData>
  </XmlSerializationBehavior>
  <ExplorerBehavior Name="wcfLanguageExplorer">
    <CustomNodeSettings>
      <ExplorerNodeSettings IconToDisplay="Resources\ClassTool.bmp">
        <Class>
          <DomainClassMoniker Name="DataContract" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="Resources\VSObject_Field.bmp">
        <Class>
          <DomainClassMoniker Name="DataMember" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="Resources\FullScreenHS.bmp">
        <Class>
          <DomainClassMoniker Name="Hosting" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="Resources\InterfaceTool.bmp">
        <Class>
          <DomainClassMoniker Name="Interface" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="Resources\VSObject_Method.bmp">
        <Class>
          <DomainClassMoniker Name="Method" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="Resources\ServiceTool.bmp">
        <Class>
          <DomainClassMoniker Name="Service" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="Resources\ClassTool.bmp">
        <Class>
          <DomainClassMoniker Name="MessageContract" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="Resources\VSObject_Field.bmp">
        <Class>
          <DomainClassMoniker Name="MessageMember" />
        </Class>
      </ExplorerNodeSettings>
    </CustomNodeSettings>
  </ExplorerBehavior>
  <ConnectionBuilders>
    <ConnectionBuilder Name="ServiceContractReferencesCallbackContractBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="ServiceContractReferencesCallbackContract" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="ServiceContract" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="ServiceContract" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
    <ConnectionBuilder Name="ServiceReferencesImplementedServiceContractsBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="ServiceReferencesImplementedServiceContracts" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Service" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="ServiceContract" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
    <ConnectionBuilder Name="HostingReferencesHostedServicesBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="HostingReferencesHostedServices" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Hosting" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Service" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
    <ConnectionBuilder Name="DataClassUsesDataClassesBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="DataClassUsesDataClasses" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="DataClass" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="DataClass" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
    <ConnectionBuilder Name="IsAnotherRepresentationForBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="IsAnotherRepresentationFor" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainRelationshipMoniker Name="DataClassUsesDataClasses" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="FieldOrProperty" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
    <ConnectionBuilder Name="ServiceContractReferencesDataContractsBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="ServiceContractReferencesDataContracts" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="ServiceContract" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="DataClass" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
  </ConnectionBuilders>
  <Diagram Id="933ead42-9519-4ece-98a5-4ad094bac54c" Description="Description for Dslfactory.wcfLanguage.wcfLanguageDiagram" Name="wcfLanguageDiagram" DisplayName="Minimal Language Diagram" Namespace="Dslfactory.wcfLanguage">
    <Class>
      <DomainClassMoniker Name="ServicesDefinition" />
    </Class>
    <ShapeMaps>
      <ShapeMap>
        <DomainClassMoniker Name="Service" />
        <ParentElementPath>
          <DomainPath>ServicesDefinitionHasServices.ServicesDefinition/!ServicesDefinition</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="ServiceShape/Name" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="TypeOfInterest/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <IconDecoratorMoniker Name="ServiceShape/NotGenerated" />
          <VisibilityPropertyPath>
            <DomainPropertyMoniker Name="TypeOfInterest/GenerationKind" />
            <PropertyFilters>
              <PropertyFilter FilteringValue="NotGenerated" />
            </PropertyFilters>
          </VisibilityPropertyPath>
        </DecoratorMap>
        <DecoratorMap>
          <IconDecoratorMoniker Name="ServiceShape/GeneratedInReference" />
          <VisibilityPropertyPath>
            <DomainPropertyMoniker Name="TypeOfInterest/GenerationKind" />
            <PropertyFilters>
              <PropertyFilter FilteringValue="GeneratedInReference" />
            </PropertyFilters>
          </VisibilityPropertyPath>
        </DecoratorMap>
        <GeometryShapeMoniker Name="ServiceShape" />
      </ShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="Interface" />
        <ParentElementPath>
          <DomainPath>ServicesDefinitionHasInterfaces.ServicesDefinition/!ServicesDefinition</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="InterfaceShape/Name" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="TypeOfInterest/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="InterfaceShape/ServiceContract" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Interface/KindLabel" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <IconDecoratorMoniker Name="InterfaceShape/NotSynchronized" />
          <VisibilityPropertyPath>
            <DomainPropertyMoniker Name="TypeOfInterest/GenerationKind" />
            <PropertyFilters>
              <PropertyFilter FilteringValue="NotGenerated" />
            </PropertyFilters>
          </VisibilityPropertyPath>
        </DecoratorMap>
        <DecoratorMap>
          <IconDecoratorMoniker Name="InterfaceShape/GeneratedInReference" />
          <VisibilityPropertyPath>
            <DomainPropertyMoniker Name="TypeOfInterest/GenerationKind" />
            <PropertyFilters>
              <PropertyFilter FilteringValue="GeneratedInReference" />
            </PropertyFilters>
          </VisibilityPropertyPath>
        </DecoratorMap>
        <CompartmentShapeMoniker Name="InterfaceShape" />
        <CompartmentMap>
          <CompartmentMoniker Name="InterfaceShape/Operations" />
          <ElementsDisplayed>
            <DomainPath>InterfaceHasMethods.Methods/!Method</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Method/Label" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
      </CompartmentShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="DataClass" />
        <ParentElementPath>
          <DomainPath>ServicesDefinitionHasDataClasses.ServicesDefinition/!ServicesDefinition</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="DataClassShape/Name" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="TypeOfInterest/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <IconDecoratorMoniker Name="DataClassShape/GeneratedInReference" />
          <VisibilityPropertyPath>
            <DomainPropertyMoniker Name="TypeOfInterest/GenerationKind" />
            <PropertyFilters>
              <PropertyFilter FilteringValue="GeneratedInReference" />
            </PropertyFilters>
          </VisibilityPropertyPath>
        </DecoratorMap>
        <DecoratorMap>
          <IconDecoratorMoniker Name="DataClassShape/NotGenerated" />
          <VisibilityPropertyPath>
            <DomainPropertyMoniker Name="TypeOfInterest/GenerationKind" />
            <PropertyFilters>
              <PropertyFilter FilteringValue="NotGenerated" />
            </PropertyFilters>
          </VisibilityPropertyPath>
        </DecoratorMap>
        <DecoratorMap>
          <IconDecoratorMoniker Name="DataClassShape/Filter" />
          <VisibilityPropertyPath>
            <DomainPropertyMoniker Name="DataClassShape/IsFiltered" />
            <PropertyFilters>
              <PropertyFilter FilteringValue="True" />
            </PropertyFilters>
          </VisibilityPropertyPath>
        </DecoratorMap>
        <CompartmentShapeMoniker Name="DataClassShape" />
      </CompartmentShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="Hosting" />
        <ParentElementPath>
          <DomainPath>ServicesDefinitionHasHosting.ServicesDefinition/!ServicesDefinition</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="HostingShape/Name" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="TypeOfInterest/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="HostingShape/Kind" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Hosting/Kind" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <IconDecoratorMoniker Name="HostingShape/WAS" />
          <VisibilityPropertyPath>
            <DomainPropertyMoniker Name="Hosting/Kind" />
            <PropertyFilters>
              <PropertyFilter FilteringValue="WAS" />
            </PropertyFilters>
          </VisibilityPropertyPath>
        </DecoratorMap>
        <DecoratorMap>
          <IconDecoratorMoniker Name="HostingShape/IIS" />
          <VisibilityPropertyPath>
            <DomainPropertyMoniker Name="Hosting/Kind" />
            <PropertyFilters>
              <PropertyFilter FilteringValue="IIS" />
            </PropertyFilters>
          </VisibilityPropertyPath>
        </DecoratorMap>
        <DecoratorMap>
          <IconDecoratorMoniker Name="HostingShape/Console" />
          <VisibilityPropertyPath>
            <DomainPropertyMoniker Name="Hosting/Kind" />
            <PropertyFilters>
              <PropertyFilter FilteringValue="Console" />
            </PropertyFilters>
          </VisibilityPropertyPath>
        </DecoratorMap>
        <GeometryShapeMoniker Name="HostingShape" />
      </ShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="MessageContract" />
        <ParentElementPath>
          <DomainPath>ServicesDefinitionHasMessageContracts.ServicesDefinition/!ServicesDefinition</DomainPath>
        </ParentElementPath>
        <CompartmentShapeMoniker Name="MessageContractShape" />
        <CompartmentMap>
          <CompartmentMoniker Name="MessageContractShape/Data" />
          <ElementsDisplayed>
            <DomainPath>MessageContractHasMessageMembers.MessageMembers/!MessageMember</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="FieldOrProperty/Label" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
      </CompartmentShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="DataContract" />
        <ParentElementPath>
          <DomainPath>ServicesDefinitionHasDataContracts.ServicesDefinition/!ServicesDefinition</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="DataContractShape/DataContract" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="DataContract/Label" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <CompartmentShapeMoniker Name="DataContractShape" />
        <CompartmentMap>
          <CompartmentMoniker Name="DataContractShape/Data" />
          <ElementsDisplayed>
            <DomainPath>DataContractHasDataMembers.DataMembers/!DataMember</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="FieldOrProperty/Label" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
      </CompartmentShapeMap>
    </ShapeMaps>
    <ConnectorMaps>
      <ConnectorMap>
        <ConnectorMoniker Name="ImplementsConnector" />
        <DomainRelationshipMoniker Name="ServiceReferencesImplementedServiceContracts" />
      </ConnectorMap>
      <ConnectorMap>
        <ConnectorMoniker Name="HostingConnector" />
        <DomainRelationshipMoniker Name="HostingReferencesHostedServices" />
      </ConnectorMap>
      <ConnectorMap>
        <ConnectorMoniker Name="UsageConnector" />
        <DomainRelationshipMoniker Name="DataClassUsesDataClasses" />
        <DecoratorMap>
          <TextDecoratorMoniker Name="UsageConnector/Cardinality" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="DataClassUsesDataClasses/Cardinality" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <IconDecoratorMoniker Name="UsageConnector/Property" />
          <VisibilityPropertyPath>
            <DomainPropertyMoniker Name="DataClassUsesDataClasses/Kind" />
            <PropertyFilters>
              <PropertyFilter FilteringValue="Property" />
            </PropertyFilters>
          </VisibilityPropertyPath>
        </DecoratorMap>
        <DecoratorMap>
          <IconDecoratorMoniker Name="UsageConnector/Field" />
          <VisibilityPropertyPath>
            <DomainPropertyMoniker Name="DataClassUsesDataClasses/Kind" />
            <PropertyFilters>
              <PropertyFilter FilteringValue="Field" />
            </PropertyFilters>
          </VisibilityPropertyPath>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="UsageConnector/RoleName" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="DataClassUsesDataClasses/RoleName" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
      </ConnectorMap>
      <ConnectorMap>
        <ConnectorMoniker Name="ReferenceConnector" />
        <DomainRelationshipMoniker Name="ServiceContractReferencesDataContracts" />
      </ConnectorMap>
    </ConnectorMaps>
  </Diagram>
  <Designer FileExtension="wcf" EditorGuid="822f647f-c4e6-496f-8d85-ce72d9499b7f">
    <RootClass>
      <DomainClassMoniker Name="ServicesDefinition" />
    </RootClass>
    <XmlSerializationDefinition CustomPostLoad="false">
      <XmlSerializationBehaviorMoniker Name="wcfLanguageSerializationBehavior" />
    </XmlSerializationDefinition>
    <ToolboxTab TabText="WCF Contracts">
      <ElementTool Name="ServiceContract" ToolboxIcon="Resources\InterfaceTool.bmp" Caption="Service Contract" Tooltip="Create an ExampleElement" HelpKeyword="CreateExampleClassF1Keyword">
        <DomainClassMoniker Name="ServiceContract" />
      </ElementTool>
      <ElementTool Name="DataContract" ToolboxIcon="Resources\ClassTool.bmp" Caption="Data Contract" Tooltip="Data Contract" HelpKeyword="DataContract">
        <DomainClassMoniker Name="DataContract" />
      </ElementTool>
      <ElementTool Name="MessageContract" ToolboxIcon="Resources\ClassTool.bmp" Caption="MessageContract" Tooltip="Message Contract" HelpKeyword="MessageContract">
        <DomainClassMoniker Name="MessageContract" />
      </ElementTool>
      <ConnectionTool Name="usageConnectionTool" ToolboxIcon="Resources\Usage.bmp" Caption="Usage" Tooltip="Usage Connection Tool" HelpKeyword="usageConnectionTool">
        <ConnectionBuilderMoniker Name="wcfLanguage/DataClassUsesDataClassesBuilder" />
      </ConnectionTool>
      <ConnectionTool Name="UsageAsParameter" ToolboxIcon="Resources\Reference.bmp" Caption="Usage as parameter" Tooltip="Usage As Parameter" HelpKeyword="UsageAsParameter">
        <ConnectionBuilderMoniker Name="wcfLanguage/ServiceContractReferencesDataContractsBuilder" />
      </ConnectionTool>
    </ToolboxTab>
    <ToolboxTab TabText="WCF Service">
      <ElementTool Name="Service" ToolboxIcon="Resources\ServiceTool.bmp" Caption="Service" Tooltip="Service" HelpKeyword="Service">
        <DomainClassMoniker Name="Service" />
      </ElementTool>
      <ConnectionTool Name="ContractImplementation" ToolboxIcon="Resources\ImplementationTool.bmp" Caption="Contract Implementation" Tooltip="Contract Implementation" HelpKeyword="ContractImplementation">
        <ConnectionBuilderMoniker Name="wcfLanguage/ServiceReferencesImplementedServiceContractsBuilder" />
      </ConnectionTool>
      <ElementTool Name="ServiceHosting" ToolboxIcon="Resources\FullScreenHS.bmp" Caption="Service Hosting" Tooltip="Service Hosting" HelpKeyword="ServiceHosting">
        <DomainClassMoniker Name="Hosting" />
      </ElementTool>
      <ConnectionTool Name="Hosting" ToolboxIcon="Resources\AssociationTool.bmp" Caption="Hosting" Tooltip="Hosting" HelpKeyword="Hosting">
        <ConnectionBuilderMoniker Name="wcfLanguage/HostingReferencesHostedServicesBuilder" />
      </ConnectionTool>
    </ToolboxTab>
    <Validation UsesMenu="true" UsesOpen="true" UsesSave="true" UsesLoad="true" />
    <DiagramMoniker Name="wcfLanguageDiagram" />
  </Designer>
  <Explorer ExplorerGuid="312082c9-6802-4191-80b5-e10b788492d2" Title="wcfLanguage Explorer">
    <ExplorerBehaviorMoniker Name="wcfLanguage/wcfLanguageExplorer" />
  </Explorer>
</Dsl>