using System;
using System.Collections.Generic;
using System.Text;

namespace Dslfactory.wcfLanguage
{
 public partial class wcfLanguageDomainModel
 {
  /// <summary>
  /// Registers the model coherence rules
  /// </summary>
  /// <returns></returns>
  protected override System.Type[] GetCustomDomainModelTypes()
  {
   return new System.Type[]
   {
    typeof(Interface_ServiceContract_Transformations),
    typeof(Method_OperationContract_Transformations),
    typeof(MethodPropertiesCoherence),

    // When the IsHidden property of the "DataMember" concept changes, the compartments are redrawn
    typeof(RepresentationChangedRefreshesComparmentsOrRole),

    typeof( UsageAddedAddsMemberRule),
    typeof(UsageRemovedChangesRepresentationRule)
   };
  }
 }

}
